#4034 closed enhancement (fixed)

Add rtems_interrupt_server_create() and rtems_interrupt_server_destroy() (cloned)

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: lib Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Cloned from #4033. In addition to the implementation add also unit tests.

Change History (4)

comment:1 Changed on Aug 1, 2020 at 9:56:10 AM by Sebastian Huber

Summary: Add rtems_interrupt_server_build() and rtems_interrupt_server_destroy() (cloned)Add rtems_interrupt_server_create() and rtems_interrupt_server_destroy() (cloned)

comment:2 Changed on Aug 3, 2020 at 6:52:57 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In c60942ea/rtems:

rtems: Add rtems_interrupt_server_create()

Add rtems_interrupt_server_destroy().

Before this patch, the only way to create interrupt servers was
rtems_interrupt_server_initialize(). This function creates the default
interrupt server and in SMP configurations additional interrupt servers
for the additional processors. The interrupt server is heavily used by
libbsd. This includes the epoch based reclamation which performs time
consuming resource and memory deallocation work. This does not work well
with time critical services, for example an UART over SPI or I2C. One
approach to address this problem is to allow the application to create
custom interrupt servers with the right priority and task properties.
The interrupt server API accounted for this, however, it was not
implemented before this patch.

Close #4034.

comment:3 Changed on Aug 3, 2020 at 6:55:28 AM by Sebastian Huber

Resolution: fixed
Status: closedreopened

Tests are pending.

comment:4 Changed on Sep 14, 2020 at 7:00:08 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: reopenedclosed

In 46477898/rtems:

irqs01/smpirqs01: New tests

Close #4034.

Note: See TracTickets for help on using tickets.